## debhelper 8.0.0ubuntu1build1

=== Makefile ===
# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if ($$2!~/deprecated/) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$list/; \
		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"

# l10n to be built is determined from .po files
LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))

build: version debhelper.7
	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		if [ -e $$dir/debhelper.pod ]; then \
			cat $$dir/debhelper.pod | \
				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
		fi; \
	done

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
	# clean up log etc
	./run dh_clean

=== debian/changelog ===
debhelper (8.0.0ubuntu1build1) lucid; urgency=low

  * Rebuild maverick version of debhelper for hedley

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 16 Nov 2010 14:52:06 -0500

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
Homepage: http://kitenet.net/~joey/code/debhelper/

Package: debhelper
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.

%:
	./run dh $@

build:
	chmod +x dh_apparmor
	./run dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/debhelper/news

## debhelper 8.1.2ubuntu4

=== debian/changelog ===
debhelper (8.1.2ubuntu4) natty; urgency=low

  * debhelper.pod: v9 info was added in the wrong place by mistake; move it
    to where it belongs so the manpage reads sensibly again.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 15:59:12 -0700

debhelper (8.1.2ubuntu3) natty; urgency=low

  * Revert the patch for env variable expansion based on feedback from Joey
    Hess.  It appears this patch is not as far along the path to upstream
    inclusion as I thought it was; sorry for the misunderstanding, Joey.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 Mar 2011 13:12:50 -0700

debhelper (8.1.2ubuntu2) natty; urgency=low

  * multiarch support.  FFe LP: #733501.
  * merge changes from upstream git:
    - Started work on Debhelper v9. It is still experimental, and more
      changes may be added to that mode.
    - Support multiarch in v9. Thanks, Steve Langasek. Closes: #617761
    - dh_auto_configure: Support multiarch in v9 by passing multiarch
      directories to --libdir and --libexecdir.
    - dh_makeshlibs: Detect packages using multiarch directories and
      make ${misc:Pre-Depends} expand to multiarch-support.
    - Depend on dpkg-dev (>= 1.16.0) for multiarch support. Note to
      backporters: If you remove that dependency, debhelper will fall back
      to not doing multiarch stuff in v9 mode, which is probably what you
      want.
  * Add Daniel Silverstone's patch to give us env variable expansions in
    .install/.link files, needed in order to let us use DEB_HOST_MULTIARCH
    without cumbersome .in files everywhere.  Closes: #614731.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Mar 2011 20:20:18 -0700

debhelper (8.1.2ubuntu1) natty; urgency=low

  * Merge with Debian (LP: #719150); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: override build target to set executable bit for
      dh_apparmor before actually running dh build, that is in order to get
      the manpage built for dh_apparmor.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Feb 2011 06:46:24 +0200

debhelper (8.1.2) unstable; urgency=low

  * Fix logging at end of an override target that never actually runs
    the overridden command. Closes: #613418

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Feb 2011 14:22:17 -0400

debhelper (8.1.1ubuntu1) natty; urgency=low

  * Merge with Debian (LP: #716844); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: override build target to set executable bit for
      dh_apparmor before actually running dh build, that is in order to get
      the manpage built for dh_apparmor.
  * Dropped changes that got fixed upstream:
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 11 Feb 2011 06:38:43 +0200

debhelper (8.1.1) unstable; urgency=low

  * dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
    triplet-strip from cross-binutils when cross-compiling; Closes: #412118.
    (Thanks, Loïc Minier)
  * Improve handling of logging in override targets, so that
    --remaining-packages can be used again. Now all debhelper commands run
    in the override target are marked as running as part of the override,
    and when the whole target is run, the log is updated to indicate that
    commands run during the override have finished. Closes: #612828

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Feb 2011 19:58:34 -0400

debhelper (8.1.0ubuntu1) natty; urgency=low

  * Merge with Debian (LP: #714705); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.
    - add dh_apparmor and autoscripts
    - debian/rules: override build target to set executable bit for
      dh_apparmor before actually running dh build, that is in order to get
      the manpage built for dh_apparmor.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 07 Feb 2011 17:16:49 +0200

debhelper (8.1.0) unstable; urgency=low

  [ Joey Hess ]
  * python_distutils: Pass --force to setup.py build, to ensure that when
    python-dbg is run it does not win and result in scripts having it in
    the shebang line. Closes: #589759
  * Man page fixes about what program -u passes params to. Closes: #593342


=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23)
-Standards-Version: 3.9.0
+Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23), perl-base (>= 5.10)
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.16.0~ubuntu4), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 8.1.6~bpo60+1

=== debian/changelog ===
debhelper (8.1.6~bpo60+1) squeeze-backports; urgency=low

  * Rebuild on squeeze-backports.
  * Revert "Depend on dpkg-dev (>= 1.16.0) for multiarch support."
    This removes the possibility to do multiarch stuff in v9 mode.
  * Add myself to Uploaders.

 -- Didier Raboud <odyx@debian.org>  Mon, 23 May 2011 11:53:18 +0200

debhelper (8.1.6) unstable; urgency=low

  * dh_ucf: Fix missing space before ']'s in postrm autoscript.

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Apr 2011 12:33:42 -0400

debhelper (8.1.5) unstable; urgency=low

  * dh_ucf: New command, contributed by Jeroen Schot. Closes: #213078
  * dh_installgsettings: Correct bug in use of find that caused some 
    gsettings files to be missed. Closes: #624377

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Apr 2011 21:33:50 -0400

debhelper (8.1.4) unstable; urgency=low

  * dh_clean: Remove debhelper logs for all packages, including packages
    not being acted on. dh can sometimes produce such logs by accident
    when passed bundled options (like "-Nfoo" instead of "-N foo") that
    it does not understand; and it was not possible to fix that
    for any compat level before v8. But also, such logs can occur
    for other reasons, like interrupted builds during development, 
    and it should be safe to clean them all. Closes: #623446
  * Fix Typos in documentation regarding {pre,post}{inst,rm}
    Closes: #623709

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Apr 2011 16:15:21 -0400

debhelper (8.1.3) unstable; urgency=low

  [ Joey Hess ]
  * dh_auto_clean: Inhibit logging, so that, if dh_auto_clean is used
    in some rule other than clean, perhaps to clean up an intermediate
    build before a second build is run, debian/rules clean still runs it.
    Closes: #615553
  * Started work on Debhelper v9. It is still experimental, and more
    changes may be added to that mode.
  * Support multiarch in v9. Thanks, Steve Langasek. Closes: #617761
  * dh_auto_configure: Support multiarch in v9 by passing multiarch
    directories to --libdir and --libexecdir.
  * dh_makeshlibs: Detect packages using multiarch directories and
    make ${misc:Pre-Depends} expand to multiarch-support.
  * Depend on dpkg-dev (>= 1.16.0) for multiarch support. Note to backporters:
    If you remove that dependency, debhelper will fall back to not doing
    multiarch stuff in v9 mode, which is probably what you want.
  * Removed old example rules files.
  * dh_installgsettings: New command to handle gsettings schema files.
    Closes: #604727

  [ Valery Perrin ]
  * update french translation.
  * Fix french misspelling.

 -- Joey Hess <joeyh@debian.org>  Tue, 05 Apr 2011 13:09:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
+Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23), perl-base (>= 5.10)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.16.0~ubuntu4), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 8.9.0ubuntu1

=== debian/changelog ===
debhelper (8.9.0ubuntu1) oneiric; urgency=low

  * Merge with Debian (LP: #801884); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: set executable bit for dh_apparmor before actually running
      dh build, that is in order to get the manpage built for dh_apparmor.
    - dh_installinit: drop redundant definition of -O.
    - debian/control: dpkg-dev dependency needs to be on 1.16.0~ubuntu4 for
      multiarch, not just 1.16.0~.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 02 Jul 2011 00:04:09 +0200

debhelper (8.9.0) unstable; urgency=low

  * dh: In v9, any standard rules file targets, including build-arch,
    build-indep, build, install, etc, can be defined in debian/rules
    without needing to explicitly tell make the dependencies between
    the targets. Closes: #629139
    (Thanks, Roger Leigh)
  * dh_auto_configure: In v9, does not include the source package name
    in --libexecdir when using autoconf. Closes: #541458
  * dh_auto_build, dh_auto_configure, dh: Set environment variables
    listed by dpkg-buildflags --export. Any environment variables that
    are already set to other values will not be changed.
    Closes: #544844
  * dh_movefiles: Optimise use of xargs. Closes: #627737
  * Correct docs about multiarch and v9. Closes: #630826
  * Fix example. Closes: #627534
  * Fix error message. Closes: #628053
  * dh_auto_configure: If there is a problem with cmake, display
    the CMakeCache.txt.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Jun 2011 14:28:52 -0400

debhelper (8.1.6ubuntu2) oneiric; urgency=low

  * dh_installinit: drop redundant definition of -O.
  * debian/control: dpkg-dev dependency needs to be on 1.16.0~ubuntu4 for
    multiarch, not just 1.16.0~.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2011 17:49:44 -0700

debhelper (8.1.6ubuntu1) oneiric; urgency=low

  * Merge with Debian (LP: #773932); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: override build target to set executable bit for
      dh_apparmor before actually running dh build, that is in order to get
      the manpage built for dh_apparmor.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 28 Apr 2011 21:02:28 +0200

## debhelper 8.9.0ubuntu2.1

=== debian/changelog ===
debhelper (8.9.0ubuntu2.1) oneiric-security; urgency=low

  * Rebuild for -security pocket so security updates get built with
    new dh_apparmor.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 19 Oct 2012 15:51:55 -0400

debhelper (8.9.0ubuntu2) oneiric-proposed; urgency=low

  * autoscripts/postrm-apparmor: do not delete local files if main
    conffile still exists since it probably means it is owned by a
    new/different package.  (LP: #986892)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 11 Jun 2012 23:24:06 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23), perl-base (>= 5.10)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
@@ -11,7 +11,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.16.0~ubuntu4), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,7 @@
 # rather than the installed ones.
 
 %:
-	./run dh $@
-
-build:
-	chmod +x dh_apparmor
+	$(if $(findstring build, $@), chmod +x dh_apparmor )
 	./run dh $@
 
 # Not intended for use by anyone except the author.

## debhelper 8.9.4

=== debian/changelog ===
debhelper (8.9.4) unstable; urgency=low

  * dh: The --before --after --until and --remaining options are deprecated.
    Use override targets instead.
  * Assume that the package can be cleaned (i.e. the build directory can be
    removed) as long as it is built out-of-source tree and can be configured.
    This is useful for derivative buildsystems which generate Makefiles.
    (Modestas Vainius) Closes: #601590
  * dh_auto_test: Run cmake tests in parallel when allowed by
    DEB_BUILD_OPTIONS. (Modestas Vainius) Closes: #587885
  * dpkg-buildflags is only used to set environment in v9, to avoid
    re-breaking packages that were already broken a first time by
    dpkg-buildpackage unconditionally setting the environment, and
    worked around that by unsetting variables in the rules file.
    (Example: numpy)

 -- Joey Hess <joeyh@debian.org>  Sat, 06 Aug 2011 18:58:59 -0400

debhelper (8.9.3) unstable; urgency=low

  * dh: Remove obsolete optimisation hack that caused sequence breakage
    in v9 with a rules file with an explict build target. Closes: #634784

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2011 23:26:43 -0400

debhelper (8.9.2) unstable; urgency=low

  * dh: Support make 3.82. Closes: #634385

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jul 2011 17:55:24 -0400

debhelper (8.9.1) unstable; urgency=low

  * Typo fixes. Closes: #632662
  * dh: In v9, do not enable any python support commands. Closes: #634106
  * Now the QT4 version of qmake can be explicitly selected by passing
    --buildsystem=qmake_qt4. Closes: #566840
  * Remove debhelper.log in compat level 1. Closes: #634155
  * dh_builddeb: Build in parallel when allowed by DEB_BUILD_OPTIONS.
    Closes: #589427 (Thanks, Gergely Nagy and Kari Pahula)

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Jul 2011 16:31:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23), perl-base (>= 5.10)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
@@ -11,7 +10,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.16.0~ubuntu4), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 8.9.7

=== debian/changelog ===
debhelper (8.9.7) unstable; urgency=low

  * dh: Now you can use override_dh_command-arch and override_dh_command-indep
    to run different overrides when building arch and indep packages. This
    allows for a much simplified form of rules file in this situation, where
    build-arch/indep and binary-arch/indep targets do not need to be manually
    specified. See man page for examples. Closes: #640965
    .
    Note that if a rules file has say, override_dh_fixperms-arch,
    but no corresponding override_dh_fixperms-indep, then the unoverridden
    dh_fixperms will be run on the indep packages.
    .
    Note that the old override_dh_command takes precidence over the new
    overrides, because mixing the two types of overrides would have been
    too complicated. In particular, it's difficult to ensure an
    old override target will work if it's sometimes constrained to only
    acting on half the packages it would normally run on. This would be 
    a source of subtle bugs, so is avoided.
  * dh: Don't bother running dh_shlibdebs, dh_makeshlibs, or dh_strip
    in the binary target when all packages being acted on are indep.
  * dh: Avoid running install sequence a third time in v9 when the
    rules file has explicit binary-indep and binary-arch targets.
    Closes: #639341 Thanks, Yann Dirson for test case.
  * debhelper no longer build-depends on man-db or file, to ease bootstrapping.
  * Remove obsolete versioned dependency on perl-base.
  * Avoid writing debhelper log files in no-act mode. Closes: #640586
  * Tighten parsing of DEB_BUILD_OPTIONS.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Sep 2011 20:29:22 -0400

debhelper (8.9.6) unstable; urgency=low

  * dh_installlogcheck: Add support for --name. Closes: #639020
    Thanks, Gergely Nagy

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Aug 2011 15:25:55 -0400

debhelper (8.9.5) unstable; urgency=low

  * dh_compress: Don't compress _sources documentation subdirectory
    as used by python-sphinx. Closes: #637492
    Thanks, Jakub Wilk
  * dh_ucf: fix test for ucf/ucfr availability and quote filenames.
    Closes: #638944
    Thanks, Jeroen Schot

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Aug 2011 13:25:54 -0400

## debhelper 8.9.8

=== debian/changelog ===
debhelper (8.9.8) unstable; urgency=low

  * dh_fixperms: Operate on .ali files throughout /usr/lib, including
    multiarch dirs. Closes: #641279
  * dh: Avoid compat deprecation warning before option parsing.
    Closes: #641361
  * Clarify description of dh_auto_* -- params. Closes: #642786
  * Mention in debhelper(7) that buildsystem options are typically passed
    to dh. Closes: #643069
  * perl_makemaker: In v9, pass CFLAGS to Makefile.PL using OPTIMIZE.
    Closes: #643702 Thanks, Steve Langasek.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Sep 2011 15:41:16 -0400

## debhelper 8.9.11

=== debian/changelog ===
debhelper (8.9.11) unstable; urgency=low

  * Fix broken option passing to objcopy. Closes: #649044

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Nov 2011 00:15:34 -0400

debhelper (8.9.10) unstable; urgency=low

  * dh_strip: In v9, pass --compress-debug-sections to objcopy.
    Needs a new enough binutils and gdb; debhelper backport
    may need to disable this.
    Thanks, Aurelien Jarno and Bastien ROUCARIES. Closes: #631985
  * dh: Ensure -a and -i are passed when running override_dh_command-arch
    and override_dh_command-indep targets. This is needed when the binary
    target is run, rather than binary-arch/binary-indep. Closes: #648901

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2011 11:54:59 -0400

debhelper (8.9.9) unstable; urgency=low

  * dh_auto_build: Use target architecture (not host architecture) 
    for build directory name. Closes: #644553 Thanks, Tom Hughes
  * dh: Add dh_auto_configure parameter example. Closes: #645335

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:01:58 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: po4a (>= 0.24), man-db (>= 2.5.1), file (>= 3.23), perl-base (>= 5.10)
+Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
@@ -10,7 +10,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, perl-base (>= 5.10), file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 8.9.12

=== debian/changelog ===
debhelper (8.9.12) unstable; urgency=low

  * Debhelper config files may be made executable programs that output the
    desired configuration. No further changes are planned to the config file
    format; those needing powerful syntaxes may now use a programming language
    of their choice. (Be careful aiming that at your feet.)
    Closes: #235302, #372310, #235302, #614731,
    Closes: #438601, #477625, #632860, #642129
  * Added German translation of man pages, done by Chris Leick. Closes: #651221
  * Typo fixes. Closes: #651224 Thanks, Chris Leick

 -- Joey Hess <joeyh@debian.org>  Wed, 07 Dec 2011 15:09:50 -0400

## debhelper 8.9.13

=== debian/changelog ===
debhelper (8.9.13) unstable; urgency=low

  * Pass CPPFLAGS to qmake. Closes: #646129 Thanks, Felix Geyert
  * dh_strip: Use build-id in /usr/lib/debug in v9.
    Closes: #642158 Thanks, Jakub Wilk
  * Spanish translation update. Closes: #636245 Thanks, Omar Campagne
  * Only enable executable config files in v9. The quality of file permissions
    in debian/ directories turns out to be atrocious; who knew?

 -- Joey Hess <joeyh@debian.org>  Fri, 09 Dec 2011 13:53:38 -0400

## debhelper 8.9.14

=== debian/changelog ===
debhelper (8.9.14) unstable; urgency=low

  * Typo. Closes: #653006
  * Typo. Closes: #653339

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Dec 2011 11:53:44 -0400

## debhelper 9.20120115

=== debian/changelog ===
debhelper (9.20120115) unstable; urgency=low

  * Finalized v9 mode, which is the new recommended default.
    (But continuing to use v8 is also fine.)
  * It is now deprecated for a package to not specify a compatibility
    level in debian/compat. Debhelper now warns if this is not done,
    and packages without a debian/compat will eventually FTBFS.
  * dh: --without foo,bar now supported.
  * Updated German man page translation. Closes: #653360

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Jan 2012 13:59:49 -0400

## debhelper 9.20120115ubuntu3

=== debian/changelog ===
debhelper (9.20120115ubuntu3) precise; urgency=low

  * remove dh_apparmor and corresponding autoscripts and adjust debian/control
    to Depends on dh-apparmor. This can be dropped once all packages that use
    dh_apparmor Build-Depends on dh-apparmor.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 02 Mar 2012 08:13:33 -0600

debhelper (9.20120115ubuntu2) precise; urgency=low

  * Make dh_apparmor executable again.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 00:12:27 +0000

debhelper (9.20120115ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark debhelper Multi-Arch: foreign, so it's recognized as satisfying
      cross-dependencies and cross-build-dependencies.
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart, prerm-upstart,
      prerm-upstart-norestart, preinst-removeconffile.
    - autoscripts/postinst-init, autoscripts/postinst-init-restart: Only
      call update-rc.d when there's no upstart job, which will let us get
      rid of the separate postinst-upstart{,-restart} scripts.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - Add dh_apparmor and autoscripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2012 13:00:43 +0000

debhelper (8.9.9ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - mark debhelper Multi-Arch: foreign, so it's recognized as satisfying
      cross-dependencies and cross-build-dependencies.
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - autoscripts/postinst-init, autoscripts/postinst-init-restart: only
      call update-rc.d when there's no upstart job, which will let us get
      rid of the separate postinst-upstart{,-restart} scripts.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
  * Dropped changes:
    - debian/rules: set executable bit for dh_apparmor: fix this in the
      source tarball instead, like it's set for all other scripts.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Nov 2011 16:24:58 -0800

debhelper (8.9.8ubuntu2) precise; urgency=low

  * autoscripts/postinst-init, autoscripts/postinst-init-restart: only call
    update-rc.d when there's no upstart job, letting us get rid of the
    separate postinst-upstart{,-restart} scripts.
  * mark debhelper Multi-Arch: foreign, so it's recognized as satisfying
    cross-dependencies and cross-build-dependencies.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 00:41:42 -0400

debhelper (8.9.8ubuntu1) precise; urgency=low

  * Merge with Debian; remaining Ubuntu changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - add dh_apparmor and autoscripts
    - debian/rules: set executable bit for dh_apparmor before actually running
      dh build, that is in order to get the manpage built for dh_apparmor.
    - dh_installinit: drop redundant definition of -O.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Oct 2011 06:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
@@ -10,7 +11,8 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Multi-Arch: foreign
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 9.20120312

=== debian/changelog ===
debhelper (9.20120312) unstable; urgency=low

  * Also include CFLAGS in ld line for perl. Closes: #662666

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Mar 2012 14:27:06 -0400

debhelper (9.20120311) unstable; urgency=low

  * dh_auto_install: Set AM_UPDATE_INFO_DIR=no to avoid automake
    generating an info dir file. Closes: #634741
  * dh_install: Man page clarification. Closes: #659635
  * Avoid expanding shell metacharacters in sed call in autoscript().
    Closes: #660794
  * dh_auto_configure: Pass CPPFLAGS and LDFLAGS to Makefile.PL and Build.PL,
    in compat level v9. Closes: #662666
    Thanks, Dominic Hargreaves for the patch.
    Thanks, Alessandro Ghedini, Niko Tyni, and Dominic Hargreaves for
    testing all relevant packages to verify the safety of this late
    change to v9.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Mar 2012 18:28:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6)
 Description: helper programs for debian/rules

## debhelper 9.20120608ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# List of files of dh_* commands. Sorted for debhelper man page.
+COMMANDS=$(shell find . -maxdepth 1 -type f -perm +100 -name "dh_*" -printf "%f\n" | sort)
+
+# Find deprecated commands by looking at their synopsis.
+DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))
+
 # This generates a list of synopses of debhelper commands, and substitutes
 # it in to the #LIST# line on the man page fed to it on stdin. Must be passed
 # parameters of all the executables or pod files to get the synopses from.
@@ -11,7 +17,7 @@
 		        close IN; \
 		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
 				my $$item="=item $$1(1)\n\n$$2\n\n"; \
-				if ($$2!~/deprecated/) { \
+				if (" $(DEPRECATED) " !~ / $$1 /) { \
 			                $$list.=$$item; \
 				} \
 				else { \
@@ -61,7 +67,7 @@
 
 debhelper.7: debhelper.pod
 	cat debhelper.pod | \
-		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
+		$(MAKEMANLIST) $(COMMANDS) | \
 		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
 
 clean:
@@ -76,7 +82,7 @@
 		$(DESTDIR)/usr/share/debhelper/autoscripts \
 		$(DESTDIR)$(PERLLIBDIR)/Sequence \
 		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
-	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
+	install dh $(COMMANDS) $(DESTDIR)/usr/bin
 	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
 	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
 	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence

=== debian/changelog ===
debhelper (9.20120608ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - continue to use /lib/init/upstart-job symlinks in Ubuntu, since
      insserv is not yet usable with upstart.
    - Add autoscripts for above: postinst-upstart-replace,
      preinst-removeconffile.
    - autoscripts/postinst-init, autoscripts/postinst-init-restart: Only
      call update-rc.d when there's no upstart job.
    - autoscripts/postinst-init-nostart: also handle the upstart case;
      otherwise we call update-rc.d to add, and again to remove!
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
  * Dropped changes, superseded in Debian:
    - Mark debhelper Multi-Arch: foreign, so it's recognized as satisfying
      cross-dependencies and cross-build-dependencies.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Jun 2012 14:25:04 -0600

debhelper (9.20120608) unstable; urgency=low

  * dh: When there's an -indep override target without -arch, or vice versa,
    avoid acting on packages covered by the override target when running
    the command for packages not covered by it. Closes: #676462

 -- Joey Hess <joeyh@debian.org>  Fri, 08 Jun 2012 13:15:48 -0400

debhelper (9.20120528) unstable; urgency=low

  * dh_installcatalogs: Turn /etc/sgml/$package.cat into conffiles
    and introduce dependency on trigger-based sgml-base. Closes: #477751
    Thanks, Helmut Grohne

 -- Joey Hess <joeyh@debian.org>  Mon, 28 May 2012 13:40:26 -0400

debhelper (9.20120523) unstable; urgency=low

  * Spanish translation update. Closes: #673629 Thanks, Omar Campagne
  * Set Multi-Arch: foreign. Closes: #674193

 -- Joey Hess <joeyh@debian.org>  Wed, 23 May 2012 14:55:48 -0400

debhelper (9.20120518) unstable; urgency=low

  * Fix versioned dependency on dpkg for xz options. Closes: #672895
  * dh_link: Doc improvement. Closes: #672988

 -- Joey Hess <joeyh@debian.org>  Fri, 18 May 2012 11:05:03 -0400

debhelper (9.20120513) unstable; urgency=low

  * Improve -v logging. Closes: #672448
  * dh_builddeb: Build udebs with xz compression, level 1, extreme strategy.
    This has been chosen to not need any more memory or cpu when uncompressing,
    while yeilding the best compressions for udebs. Thanks, Philipp Kern.
  * Depend on a new enough dpkg for above features. Backporters will need
    to revert these changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 13 May 2012 13:09:42 -0400

debhelper (9.20120509) unstable; urgency=low

  * dh_installman: Recognize sections from mdoc .Dt entries. Closes: #670210
    Thanks, Guillem Jover
  * Updated German man page translation. Closes: #671598
  * dh_install: Reorder documentation for clarity. Closes: #672109

 -- Joey Hess <joeyh@debian.org>  Wed, 09 May 2012 12:59:15 -0400

debhelper (9.20120419ubuntu2) quantal; urgency=low

  * dh_installinit: drop the --onlyscripts-upstart option, which was only
    used temporarily for compatibility with some packages in karmic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 29 Apr 2012 09:58:05 -0700

debhelper (9.20120419ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Depend on dh-apparmor.
    - Mark debhelper Multi-Arch: foreign, so it's recognized as satisfying
      cross-dependencies and cross-build-dependencies.
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - continue to use /lib/init/upstart-job symlinks in Ubuntu, since
      insserv is not yet usable with upstart.
    - Add autoscripts for above: postinst-upstart-replace,
      preinst-removeconffile.
    - autoscripts/postinst-init, autoscripts/postinst-init-restart: Only
      call update-rc.d when there's no upstart job.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
  * Dropped changes, superseded in Debian:
    - autoscripts postinst-upstart, postinst-upstart-restart, prerm-upstart,
      prerm-upstart-norestart dropped, the logic has merged into the main
      autoscripts.
  * autoscripts/postinst-init-nostart: also handle the upstart case;
    otherwise we call update-rc.d to add, and again to remove!

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 29 Apr 2012 07:46:42 +0000

debhelper (9.20120419) unstable; urgency=low

  * Fix compat level checking for cmake. Closes: #669181

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2012 19:33:35 -0400

debhelper (9.20120418) unstable; urgency=low

  * cmake: Only pass CPPFLAGS in CFLAGS in v9.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2012 16:54:39 -0400

debhelper (9.20120417) unstable; urgency=low

  * cmake: Pass CPPFLAGS in CFLAGS. Closes: #668813
    Thanks, Simon Ruderich for the patch and for verifying no affected
    package is broken by this change.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2012 09:10:29 -0400

debhelper (9.20120410) unstable; urgency=low

  [ Joey Hess ]
  * Fix a typo. Closes: #665891
  * Conflict with too old automake for AM_UPDATE_INFO_DIR=no. Closes: #666901
  * dh_md5sums: Don't skip DEBIAN directories other than the control files
    one. Closes: #668276

  [ Steve Langasek ]
  * dh_installinit: rework upstart handling to comply with new policy
    proposal; packages will ship both an init script and an upstart job,
    instead of just an upstart job and a symlink to a compat wrapper.
    Closes: #577040

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2012 12:51:15 -0400

debhelper (9.20120322) unstable; urgency=low

  * Revert avoid expanding shell metacharacters in sed call in autoscript().
